import { Series } from "./Series";
import { DependencyObject } from "igniteui-react-core/ES2015/DependencyObject";
import { IFastItemColumn$1 } from "igniteui-react-core/ES2015/IFastItemColumn$1";
import { Point, Type } from "igniteui-react-core/ES2015/type";
import { NumericXAxis } from "./NumericXAxis";
import { NumericYAxis } from "./NumericYAxis";
import { List$1 } from "igniteui-react-core/ES2015/List$1";
import { Rect } from "igniteui-react-core/ES2015/Rect";
import { Axis } from "./Axis";
import { FlattenedShape } from "./FlattenedShape";
import { SeriesView } from "./SeriesView";
import { RenderSurface } from "./RenderSurface";
import { Dictionary$2 } from "igniteui-react-core/ES2015/Dictionary$2";
import { FastItemsSourceEventAction } from "igniteui-react-core/ES2015/FastItemsSourceEventAction";
import { DataContext } from "igniteui-react-core/ES2015/DataContext";
import { FrameworkElement } from "igniteui-react-core/ES2015/FrameworkElement";
import { AxisRange } from "./AxisRange";
import { Style } from "igniteui-react-core/ES2015/Style";
import { StyleShapeEventArgs } from "./StyleShapeEventArgs";
import { Path } from "igniteui-react-core/ES2015/Path";
import { Pool$1 } from "igniteui-react-core/ES2015/Pool$1";
import { StyleSelector } from "./StyleSelector";
import { PointCollection } from "igniteui-react-core/ES2015/PointCollection";
import { PathGeometry } from "igniteui-react-core/ES2015/PathGeometry";
import { RenderingContext } from "igniteui-react-core/ES2015/RenderingContext";
/**
 * @hidden
 */
export declare abstract class ShapeSeriesBase extends Series {
    static $t: Type;
    constructor();
    hn(): void;
    ag(): Axis[];
    mm: string;
    private l3;
    l4: IFastItemColumn$1<any>;
    lz: NumericXAxis;
    l1: NumericYAxis;
    private l7;
    private convertToListList;
    protected by(a: string): IFastItemColumn$1<any>;
    protected is(a: any, b: string, c: any, d: any): void;
    l6(a: any): boolean;
    l5(a: any): boolean;
    private ly;
    private l0;
    private mf;
    mb: List$1<Rect>;
    private mt;
    private m1;
    private md;
    private lu;
    private lw;
    private lv;
    private lt;
    protected get_l8(): boolean;
    protected readonly l8: boolean;
    protected ma(): boolean;
    i7(a: boolean): void;
    i5(a: Rect, b: Rect, c: RenderSurface, d: string, e: number): void;
    protected ms(a: SeriesView): void;
    h4(): void;
    protected jm(a: Rect, b: Rect): void;
    protected jl(a: Rect, b: Rect): void;
    protected hs(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    dv(a: Rect, b: Rect, c: SeriesView): boolean;
    protected get_l9(): boolean;
    protected readonly l9: boolean;
    im(a: SeriesView): void;
    private l2;
    private me;
    private lx;
    private mq;
    m0: Rect;
    private mv;
    hp(a: boolean, b: SeriesView): void;
    private mr;
    private mu;
    ar(a: Point, b: boolean): DataContext;
    mj(a: number): any;
    protected get_dp(): boolean;
    protected set_dp(a: boolean): void;
    mg: number;
    mh: number;
    an(a: Axis): AxisRange;
    protected get_c5(): boolean;
    m2(a: any, b: DependencyObject, c: Style): Style;
    styleShape: (sender: any, e: StyleShapeEventArgs) => void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare abstract class ShapeSeriesViewBase extends SeriesView {
    static $t: Type;
    constructor(a: ShapeSeriesBase);
    b3: Dictionary$2<number, FlattenedShape>;
    protected b0(): Pool$1<FrameworkElement>;
    b2(a: Rect): boolean;
    static b5(a: List$1<FlattenedShape>): List$1<PointCollection>;
    protected by: ShapeSeriesBase;
    private b4;
    b8(a: number, b: any, c: Rect, d: List$1<FlattenedShape>): void;
    protected ct(a: number, b: any): FrameworkElement;
    protected abstract ca(a: FrameworkElement, b: PathGeometry): void;
    static cb(a: ShapeSeriesViewBase, b: Path, c: any): void;
    protected cc(a: FrameworkElement, b: any): void;
    protected ce(a: FrameworkElement): void;
    private b9;
    private cm;
    protected abstract cu(a: number, b: List$1<PointCollection>): PathGeometry;
    cj(): void;
    ci(): void;
    private b7;
    cl(a: number, b: number): void;
    cd(): void;
    protected b6: List$1<Path>;
    cq(): FrameworkElement;
    cf(a: FrameworkElement): void;
    cg(a: FrameworkElement): void;
    ch(a: FrameworkElement): void;
    protected b1: Pool$1<FrameworkElement>;
    cv(a: number, b: List$1<PointCollection>, c: boolean): PathGeometry;
    protected bb(a: any, b: number): void;
    protected bc(a: any, b: number): void;
    protected a3(a: RenderingContext, b: boolean): void;
    private bz;
    private cw;
    co(a: StyleSelector): void;
    cn(a: Style): void;
    cr(a: Point, b: boolean): FrameworkElement;
    cs(a: Point, b: boolean, c: boolean): FrameworkElement;
    private bv;
    private bx;
    private bw;
    private bu;
    ck(a: number[], b: number[], c: number[], d: number[]): void;
    cp(): void;
    ai(a: any): void;
}
